# encoding: utf-8
"""
created: August, 2019

author: P. R. Wiecha

Part of set of example scripts demonstrating `pyGDM2.EO` for directional 
scattering problems.

script "00": find configuration for directional scattering EO problem
"""
import numpy as np
import pyGDM2.EO.tools as eotools


# =============================================================================
# coarse discretization (faster evaluation). 45deg scattering
# =============================================================================
Nteta = 5
Nphi=12
tetamin=0
tetamax=np.pi/2.
dir_index = [24]


# =============================================================================
# lower hemisphere: into substrate at critical angle
# attention! test-plot doesn't work for lower hemisphere. Use values from list.
# =============================================================================
#Nteta = 7
#Nphi=36
#tetamin=np.pi/2.
#tetamax=np.pi
#dir_index = [108,109,143]


eotools.calculate_solid_angle_by_dir_index(Nteta, Nphi, tetamin, tetamax, 
                                           dir_index, plot_type='both')    
